# Generated by Django 3.0.4 on 2020-03-11 06:20

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('pinturas', '0003_museo'),
    ]

    operations = [
        migrations.CreateModel(
            name='Artista',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('update', models.DateTimeField(auto_now=True)),
                ('user_update', models.IntegerField(blank=True, null=True)),
                ('description', models.CharField(help_text='Artist Description', max_length=128, unique=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Artistas',
            },
        ),
        migrations.CreateModel(
            name='Obra',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('update', models.DateTimeField(auto_now=True)),
                ('user_update', models.IntegerField(blank=True, null=True)),
                ('code', models.CharField(max_length=16, unique=True)),
                ('description', models.CharField(max_length=128)),
                ('price', models.FloatField(default=0)),
                ('last_buy', models.DateField(blank=True, null=True)),
                ('artista', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pinturas.Artista')),
                ('era', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pinturas.Era')),
                ('museo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pinturas.Museo')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Obras',
            },
        ),
    ]
